Bug 210555 - net-p2p/btsync: Update to 2.3.8
Summary: net-p2p/btsync: Update to 2.3.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-06-25 08:51 UTC by joshruehlig
Modified: 2016-07-03 04:22 UTC (History)
1 user (show)

See Also:


Attachments
btsync diff (1.36 KB, patch)
2016-06-25 08:51 UTC, joshruehlig
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joshruehlig 2016-06-25 08:51:00 UTC
Created attachment 171784 [details]
btsync diff

Update port to 2.3.8

Changelog
- Fixed issue with all folders disconnected by devices that reconnect after 30 days being offline
- Fixed Sync crashing on QNAP NAS
- Fixed Sync doesn't let HDD sleep on Synology NAS
- Fixed bind_interface power option not working on Mac
- Fixed files moved to Archive when unplugging USB drive with synced folder
- Fixed inability to share the folder as Owner after disconnection
- Added parameter to get Sync version thru API
- Improved Sync compatibility to FlexRaid disk pool

####

On a related note, this projects owners split off from the BitTorrent company and form a new company Resilio. I have a feeling the project will be renamed soon.
Comment 1 commit-hook freebsd_committer 2016-07-02 16:54:43 UTC
A commit references this bug:

Author: riggs
Date: Sat Jul  2 16:54:23 UTC 2016
New revision: 417937
URL: https://svnweb.freebsd.org/changeset/ports/417937

Log:
  Update to upstream version 2.3.8

  Detaile log:
  - Fixed issue with all folders disconnected by devices that reconnect after 30 days being offline
  - Fixed Sync crashing on QNAP NAS
  - Fixed Sync doesn't let HDD sleep on Synology NAS
  - Fixed bind_interface power option not working on Mac
  - Fixed files moved to Archive when unplugging USB drive with synced folder
  - Fixed inability to share the folder as Owner after disconnection
  - Added parameter to get Sync version thru API
  - Improved Sync compatibility to FlexRaid disk pool

  PR:		210555
  Submitted by:	joshruehlig@gmail.com (maintainer)

Changes:
  head/net-p2p/btsync/Makefile
  head/net-p2p/btsync/distinfo